#include "KSGServer.h"
#include <Datei.h>
#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

char *getMainServerIp()
{
	InitDatei *dat = new InitDatei( "data/optionen.ini" );
	dat->laden();
	Text *ipT = dat->getWert( "ServerIP" );
	dat->release();
	int län = ipT->getLänge();
	char *ret = new char[ län + 1 ];
	ret[ län ] = 0;
	for( int i = 0; i < län; i++ )
		ret[ i ] = ipT->getText()[ i ];
	ipT->release();
	return ret;
}

unsigned short getMainServerPort()
{
	InitDatei *dat = new InitDatei( "data/optionen.ini" );
	dat->laden();
	unsigned short ret = (unsigned short)TextZuInt( dat->zWert( "ServerPort" )->getText(), 10 );
	dat->release();
	return ret;
}

unsigned int getKlientId()
{
	Datei *dat = new Datei();
	dat->setDatei( "data/tmp/k.id" );
	dat->öffnen( Datei::Style::lesen );
	unsigned int ret = 0;
	dat->lese( (char*)&ret, 4 );
	dat->schließen();
	dat = dat->release();
	return ret;
}

char getSchlüssel( char **schlüssel )
{
	char län = 0;
	Datei *dat = new Datei();
	dat->setDatei( "data/tmp/schlüssel.netw" );
	dat->öffnen( Datei::Style::lesen );
	dat->lese( &län, 1 );
	*schlüssel = new char[ län ];
	dat->lese( *schlüssel, län );
	dat->schließen();
	dat = dat->release();
	return län;
}